[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[RFC] Patch that allows including proposed updates to CDs



Attached a fairly simple patch that allows to add proposed updates to CDs.

This seems useful for pre-release testing and could even be useful for 
unofficial images that want the latest and greatest even when a point 
release has not yet happened.

There are a few downsides to this:
- packages that are in proposed-updates may be buggy or not actually end up
  being included in a release
- from the CD it is impossible to tell which packages were taken from p-u:
  they end up in pool and in the regular Packages file
- if there are udebs in proposed-updates they may not work with currently
  available D-I images (can be solved by building custom images and
  including those using LOCAL)

Because of this I'm a bit hesitant to commit the patch. Comments welcome.

Cheers,
FJP

P.S.
A test CD1 image for i386 etch+1/2 built using this patch is available at:
http://cdimage.debian.org/cdimage/unofficial/fjp/debian-40-etchnhalf-i386-CD-1.iso

This CD uses D-I from sid and includes debs from etch + etch-p-u, including 
the etch+1/2 kernels. I've done a test install using that CD and checked 
that, besides the etchnhalf kernel, e.g. debconf (which is not also on 
security.d.o) was at the version from t-p-u.

Index: tools/apt-selection
===================================================================
--- tools/apt-selection	(revision 1599)
+++ tools/apt-selection	(working copy)
@@ -61,6 +61,11 @@
 	echo "$ADEB file:$MIRROR $CODENAME $sections" \
 	> $APTTMP/$CODENAME-$ARCH/apt/sources.list
 
+	if [ -n "$PROPOSED_UPDATES" ]; then
+		echo "$ADEB file:$MIRROR $PROPOSED_UPDATES $sections" \
+			>> $APTTMP/$CODENAME-$ARCH/apt/sources.list
+	fi
+
 	# Local packages ...
 	if [ -n "$LOCAL" ]; then
 		echo "$ADEB file:${LOCALDEBS:-$MIRROR} $CODENAME local" \
Index: CONF.sh
===================================================================
--- CONF.sh	(revision 1599)
+++ CONF.sh	(working copy)
@@ -19,6 +19,7 @@
 unset LOCAL             || true
 unset LOCALDEBS         || true
 unset SECURITY          || true
+unset PROPOSED_UPDATES  || true
 unset BOOTDIR           || true
 unset SYMLINK           || true
 unset COPYLINK          || true
@@ -135,6 +136,12 @@
 # top directory of a security.debian.org mirror.
 #export SECURITY="$TOPDIR"/debian/debian-security
 
+
+# Include proposed updates
+# Note that on the CDs it will not be visible where packages came from:
+# from the released archive or from proposed updates archive.
+#export PROPOSED_UPDATES=$CODENAME-proposed-updates
+
 # Sparc only : bootdir (location of cd.b and second.b)
 # export BOOTDIR=/boot
 

Attachment: signature.asc
Description: This is a digitally signed message part.


Reply to: